## python3-onelogin-saml2 1.12.0

=== Makefile ===
PIP=pip
FLAKE8=flake8
PYTEST=pytest
PYCODESTYLE=pycodestyle
COVERAGE=coverage
COVERAGE_CONFIG=tests/coverage.rc
PEP8_CONFIG=tests/pep8.rc
MAIN_SOURCE=src/onelogin/saml2
DEMOS=demo-django demo-flask demo-tornado demo_pyramid
TESTS=tests/src/OneLogin/saml2_tests
SOURCES=$(MAIN_SOURCE) $(DEMOS) $(TESTS)

install-req:
	$(PIP) install --upgrade 'setuptools<45.0.0'
	$(PIP) install .

install-test:
	$(PIP) install -e ".[test]" 

pytest:
	$(COVERAGE) run --source $(MAIN_SOURCE) --rcfile=$(COVERAGE_CONFIG) -m pytest
	$(COVERAGE) report -m --rcfile=$(COVERAGE_CONFIG)

pycodestyle:
	$(PYCODESTYLE) --ignore=E501,E731,W504 $(SOURCES) --config=$(PEP8_CONFIG)

flake8:
	$(FLAKE8) $(SOURCES)

clean: 
	rm -rf .pytest_cache/
	rm -rf .eggs/
	find . -type d -name "__pycache__" -exec rm -r {} +
	find . -type d -name "*.egg-info" -exec rm -r {} +
	rm .coverage

=== demo-django/requirements.txt ===
Django==1.11.29
python3-saml

=== demo-flask/requirements.txt ===
flask==1.0

=== demo-tornado/requirements.txt ===
tornado==6.0.3

=== debian/changelog ===
python3-onelogin-saml2 (1.12.0-2) unstable; urgency=medium

  * d/control: Switch binary package to Architecture: all.

 -- James Page <james.page@ubuntu.com>  Wed, 23 Feb 2022 09:36:12 +0000

python3-onelogin-saml2 (1.12.0-1) unstable; urgency=low

  * Initial release (Closes: #1000443).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 15 Feb 2022 12:38:02 +0000

=== debian/control ===
Source: python3-onelogin-saml2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Chris MacNaughton <chris.macnaughton@ubuntu.com>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-defusedxml (>= 0.5.0),
 python3-freezegun,
 python3-isodate (>= 0.6.0),
 python3-mock,
 python3-setuptools,
 python3-six (>= 1.16.0),
 python3-xmlsec (>= 1.3.12),
Standards-Version: 4.6.0
Homepage: https://github.com/onelogin/python3-saml
Vcs-Browser: https://salsa.debian.org/python-team/packages/python3-onelogin-saml2
Vcs-Git: https://salsa.debian.org/python-team/packages/python3-onelogin-saml2.git

Package: python3-onelogin-saml2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: OneLogin SAML single sign-on Python toolkit
 Security Assertion Markup Language (SAML) is a standard for logging users into
 applications based on their sessions in another context.
 .
 This library enables a developer to to enable single sign-on (SSO) for their
 app via any identity provider that offers SAML authentication.

## python3-onelogin-saml2 1.16.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 SOURCES=$(MAIN_SOURCE) $(DEMOS) $(TESTS)
 
 install-req:
-	$(PIP) install --upgrade 'setuptools<45.0.0'
 	$(PIP) install .
 
 install-test:

=== demo-django/requirements.txt ===
Django==4.1.10
python3-saml

=== demo-tornado/requirements.txt ===
tornado==6.3.3

=== debian/changelog ===
python3-onelogin-saml2 (1.16.0-2) unstable; urgency=medium

  * Team upload.
  * Drop unused build-dependency on python3-defusedxml.
  * Explicitly build-depend on python3-lxml rather than relying on
    transitive dependencies.
  * Update version for build-dependency on python3-isodate.
  * Use pybuild-plugin-pyproject and poetry.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Jul 2024 13:17:58 +0100

python3-onelogin-saml2 (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.0 (Closes: #1056196)
  * remove old extraneous dependencies on python3-mock & python3-six
  * use new dh-sequence-python3
  * run test with pytest like upstream does
  * set Rules-Requires-Root: no

  [ Colin Watson ]
  * Apply patch from https://github.com/SAML-Toolkits/python3-saml/pull/399
    to fix failing testValidateTimestamps.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Apr 2024 19:56:00 +0200

python3-onelogin-saml2 (1.12.0-3) unstable; urgency=medium

  * Team upload.
  * Fix expired test payloads. Closes: #1036255.

 -- Santiago Vila <sanvila@debian.org>  Sat, 18 Nov 2023 01:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
  James Page <james.page@ubuntu.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-defusedxml (>= 0.5.0),
  python3-freezegun,
- python3-isodate (>= 0.6.0),
- python3-mock,
- python3-setuptools,
- python3-six (>= 1.16.0),
+ python3-isodate (>= 0.6.1),
+ python3-lxml,
+ python3-poetry-core,
+ python3-pytest,
  python3-xmlsec (>= 1.3.12),
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/onelogin/python3-saml
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python3-onelogin-saml2
@@ -30,5 +31,5 @@
  Security Assertion Markup Language (SAML) is a standard for logging users into
  applications based on their sessions in another context.
  .
- This library enables a developer to to enable single sign-on (SSO) for their
+ This library enables a developer to add single sign-on (SSO) for their
  app via any identity provider that offers SAML authentication.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/../tests/ ; cp -r {dir}/tests/data {build_dir}/../tests/
export PYBUILD_TEST_ARGS=-k 'not testGetMetadataWithHeaders and not testParseRemoteWithHeaders and not testAddSign and not testIsInValidEncIssues_2 and not testGetLibPath and not testGetSchemasPath'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python3-saml-$1\.tar\.gz/ \
  https://github.com/onelogin/python3-saml/tags .*/v?(\d\S*)\.tar\.gz
